=== renamed file 'cronscripts/dyson.py' => 'cronscripts/product-release-finder'
--- cronscripts/dyson.py	2006-08-16 07:32:20 +0000
+++ cronscripts/product-release-finder	2006-08-16 08:01:02 +0000
@@ -1,5 +1,5 @@
 #!/usr/bin/env python
-"""Dyson.
+"""Upstream Product Release Finder.
 
 Scan FTP and HTTP sites specified for each ProductSeries in the database
 to identify files and create new ProductRelease records for them.
@@ -15,8 +15,9 @@
 
 from zope.component import getUtility
 
-from canonical.dyson.hose import Hose
-from canonical.dyson.filter import Cache, FilterPattern
+from canonical.launchpad.scripts.productreleasefinder.hose import Hose
+from canonical.launchpad.scripts.productreleasefinder.filter import (
+    Cache, FilterPattern)
 from canonical.launchpad.interfaces import IProductSet, IProductReleaseSet
 from canonical.librarian.interfaces import IFileUploadClient
 from canonical.launchpad.validators.version import sane_version
@@ -35,7 +36,7 @@
     (options, args) = parser.parse_args()
 
     global log
-    log = logger(options, "dyson")
+    log = logger(options, "productreleasefinder")
     ztm = initZopeless(dbuser=config.dyson.dbuser, implicitBegin=False)
 
     cache = Cache(config.dyson.cache_path, log_parent=log)

=== removed file 'lib/canonical/dyson/Makefile'
--- lib/canonical/dyson/Makefile	2005-10-31 18:29:12 +0000
+++ lib/canonical/dyson/Makefile	1970-01-01 00:00:00 +0000
@@ -1,35 +0,0 @@
-SUBDIRS = tests
-
-
-all:
-	for subdir in $(SUBDIRS); do \
-		(cd $$subdir && $(MAKE) all) || exit 1; \
-	done
-
-check:
-	PYTHONPATH=.. python testsuite.py
-
-
-tags: tags-local tags-recursive
-
-tags-local:
-	etags -f ./TAGS *.py
-
-tags-recursive:
-	for subdir in $(SUBDIRS); do \
-		(cd $$subdir && $(MAKE) tags) || exit 1; \
-	done
-
-
-clean: clean-local clean-recursive
-
-clean-local:
-	rm -f *.pyc *~
-
-clean-recursive:
-	for subdir in $(SUBDIRS); do \
-		(cd $$subdir && $(MAKE) clean) || exit 1; \
-	done
-
-
-.PHONY: all check tags tags-local tags-recursive clean clean-local clean-recursive

=== removed file 'lib/canonical/dyson/testsuite.py'
--- lib/canonical/dyson/testsuite.py	2005-10-31 18:29:12 +0000
+++ lib/canonical/dyson/testsuite.py	1970-01-01 00:00:00 +0000
@@ -1,15 +0,0 @@
-#!/usr/bin/env python
-"""Test suite for dyson."""
-
-from hct.scaffold import main
-
-
-tests = [
-    "canonical.dyson.tests.test_filter",
-    "canonical.dyson.tests.test_hose",
-    "canonical.dyson.tests.test_walker",
-    ]
-
-
-if __name__ == "__main__":
-    main(names=tests)

=== renamed directory 'lib/canonical/dyson' => 'lib/canonical/launchpad/scripts/productreleasefinder'
=== modified file 'lib/canonical/launchpad/scripts/productreleasefinder/__init__.py'
--- lib/canonical/dyson/__init__.py	2005-10-31 18:29:12 +0000
+++ lib/canonical/launchpad/scripts/productreleasefinder/__init__.py	2006-08-16 08:01:02 +0000
@@ -1,5 +1,1 @@
-"""Dyson."""
-
-from canonical.dyson import filter
-from canonical.dyson import walker
-from canonical.dyson import hose
+"""Upstream Product Release Finder."""

=== modified file 'lib/canonical/launchpad/scripts/productreleasefinder/hose.py'
--- lib/canonical/dyson/hose.py	2006-08-16 04:09:33 +0000
+++ lib/canonical/launchpad/scripts/productreleasefinder/hose.py	2006-08-16 08:01:02 +0000
@@ -11,8 +11,9 @@
 
 from hct.util import log
 
-from canonical.dyson.filter import Filter
-from canonical.dyson.walker import walk, combine_url
+from canonical.launchpad.scripts.productreleasefinder.filter import Filter
+from canonical.launchpad.scripts.productreleasefinder.walker import (
+    walk, combine_url)
 
 
 class Hose:

=== modified file 'lib/canonical/launchpad/scripts/productreleasefinder/tests/__init__.py'
--- lib/canonical/dyson/tests/__init__.py	2005-10-31 18:29:12 +0000
+++ lib/canonical/launchpad/scripts/productreleasefinder/tests/__init__.py	2006-08-16 08:01:02 +0000
@@ -1,1 +1,1 @@
-"""Tests for dyson."""
+"""Tests for the Upstream Product Release Finder."""

=== modified file 'lib/canonical/launchpad/scripts/productreleasefinder/tests/test_filter.py'
--- lib/canonical/dyson/tests/test_filter.py	2006-08-16 03:55:23 +0000
+++ lib/canonical/launchpad/scripts/productreleasefinder/tests/test_filter.py	2006-08-16 08:01:02 +0000
@@ -1,4 +1,4 @@
-"""Tests for canonical.dyson.filter."""
+"""Tests for canonical.launchpad.scripts.productreleasefinder.filter."""
 
 import unittest
 from hct.scaffold import Scaffold, register
@@ -7,14 +7,16 @@
 class Filter_Logging(unittest.TestCase):
     def testCreatesDefaultLogger(self):
         """Filter creates a default logger."""
-        from canonical.dyson.filter import Filter
+        from canonical.launchpad.scripts.productreleasefinder.filter import (
+            Filter)
         from logging import Logger
         f = Filter()
         self.failUnless(isinstance(f.log, Logger))
 
     def testCreatesChildLogger(self):
         """Filter creates a child logger if given a parent."""
-        from canonical.dyson.filter import Filter
+        from canonical.launchpad.scripts.productreleasefinder.filter import (
+            Filter)
         from logging import getLogger
         parent = getLogger("foo")
         f = Filter(log_parent=parent)
@@ -24,13 +26,15 @@
 class Filter_Init(unittest.TestCase):
     def testDefaultFiltersProperty(self):
         """Filter constructor initialises filters property to empty dict."""
-        from canonical.dyson.filter import Filter
+        from canonical.launchpad.scripts.productreleasefinder.filter import (
+            Filter)
         f = Filter()
         self.assertEquals(f.filters, [])
 
     def testFiltersPropertyGiven(self):
         """Filter constructor accepts argument to set filters property."""
-        from canonical.dyson.filter import Filter, FilterPattern
+        from canonical.launchpad.scripts.productreleasefinder.filter import (
+            Filter, FilterPattern)
         f = Filter(["wibble"])
         self.assertEquals(len(f.filters), 1)
         self.assertEquals(f.filters[0], "wibble")
@@ -39,41 +43,47 @@
 class Filter_CheckUrl(unittest.TestCase):
     def testNoFilters(self):
         """Filter.check returns None if there are no filters."""
-        from canonical.dyson.filter import Filter
+        from canonical.launchpad.scripts.productreleasefinder.filter import (
+            Filter)
         f = Filter()
         self.assertEquals(f.check("file:///subdir/file"), None)
 
     def testNotMatching(self):
         """Filter.check returns None if doesn't match a filter."""
-        from canonical.dyson.filter import Filter, FilterPattern
+        from canonical.launchpad.scripts.productreleasefinder.filter import (
+            Filter, FilterPattern)
         pattern = FilterPattern("foo", "file:///subdir", "w*")
         f = Filter([pattern])
         self.assertEquals(f.check("file:///subdir/file"), None)
 
     def testNoMatchingSlashes(self):
         """Filter.check that the glob does not match slashes."""
-        from canonical.dyson.filter import Filter, FilterPattern
+        from canonical.launchpad.scripts.productreleasefinder.filter import (
+            Filter, FilterPattern)
         pattern = FilterPattern("foo", "file:///", "*d*")
         f = Filter([pattern])
         self.assertEquals(f.check("file:///subdir/file"), None)
 
     def testReturnsMatching(self):
         """Filter.check returns the matching keyword."""
-        from canonical.dyson.filter import Filter, FilterPattern
+        from canonical.launchpad.scripts.productreleasefinder.filter import (
+            Filter, FilterPattern)
         pattern = FilterPattern("foo", "file:///subdir", "f*e")
         f = Filter([pattern])
         self.assertEquals(f.check("file:///subdir/file"), "foo")
 
     def testGlobSubdir(self):
         # Filter.glob can contain slashes to match subdirs
-        from canonical.dyson.filter import Filter, FilterPattern
+        from canonical.launchpad.scripts.productreleasefinder.filter import (
+            Filter, FilterPattern)
         pattern = FilterPattern("foo", "file:///", "sub*/f*e")
         f = Filter([pattern])
         self.assertEquals(f.check("file:///subdir/file"), "foo")
 
     def testReturnsNonMatchingBase(self):
         """Filter.check returns None if the base does not match."""
-        from canonical.dyson.filter import Filter, FilterPattern
+        from canonical.launchpad.scripts.productreleasefinder.filter import (
+            Filter, FilterPattern)
         pattern = FilterPattern("foo", "http:", "f*e")
         f = Filter([pattern])
         self.assertEquals(f.check("file:///subdir/file"), None)
@@ -82,14 +92,16 @@
 class Cache_Logging(Scaffold):
     def testCreatesDefaultLogger(self):
         """Cache creates a default logger."""
-        from canonical.dyson.filter import Cache
+        from canonical.launchpad.scripts.productreleasefinder.filter import (
+            Cache)
         from logging import Logger
         c = Cache(self.tempname())
         self.failUnless(isinstance(c.log, Logger))
 
     def testCreatesChildLogger(self):
         """Cache creates a child logger if given a parent."""
-        from canonical.dyson.filter import Cache
+        from canonical.launchpad.scripts.productreleasefinder.filter import (
+            Cache)
         from logging import getLogger
         parent = getLogger("foo")
         c = Cache(self.tempname(), log_parent=parent)
@@ -99,33 +111,38 @@
 class Cache_Init(Scaffold):
     def testSetsPathProperty(self):
         """Cache constructor sets the path property."""
-        from canonical.dyson.filter import Cache
+        from canonical.launchpad.scripts.productreleasefinder.filter import (
+            Cache)
         path = self.tempname()
         c = Cache(path)
         self.assertEquals(c.path, path)
 
     def testSetsFilesProperty(self):
         """Cache constructor sets the files property to an empty dictionary."""
-        from canonical.dyson.filter import Cache
+        from canonical.launchpad.scripts.productreleasefinder.filter import (
+            Cache)
         c = Cache(self.tempname())
         self.assertEquals(c.files, {})
 
     def testReturnsFalse(self):
         """Cache works when the object isn't cached."""
-        from canonical.dyson.filter import Cache
+        from canonical.launchpad.scripts.productreleasefinder.filter import (
+            Cache)
         c = Cache(self.tempname())
         self.failIf("http://localhost/foo" in c)
 
     def testReturnsTrue(self):
         """Cache works when the object should be cached."""
-        from canonical.dyson.filter import Cache
+        from canonical.launchpad.scripts.productreleasefinder.filter import (
+            Cache)
         c = Cache(self.tempname())
         self.failIf("http://localhost/foo" in c)
         self.failUnless("http://localhost/foo" in c)
 
     def testReadsAndWrites(self):
         """Cache reads and writes cache files."""
-        from canonical.dyson.filter import Cache
+        from canonical.launchpad.scripts.productreleasefinder.filter import (
+            Cache)
         path = self.tempname()
         c = Cache(path)
         self.write("http://localhost/foo\n", path, "fo")

=== modified file 'lib/canonical/launchpad/scripts/productreleasefinder/tests/test_hose.py'
--- lib/canonical/dyson/tests/test_hose.py	2006-08-16 04:09:33 +0000
+++ lib/canonical/launchpad/scripts/productreleasefinder/tests/test_hose.py	2006-08-16 08:01:02 +0000
@@ -1,4 +1,4 @@
-"""Tests for canonical.dyson.hose."""
+"""Tests for canonical.launchpad.scripts.productreleasefinder.hose."""
 
 import unittest
 from hct.scaffold import Scaffold, register
@@ -7,14 +7,14 @@
 class Hose_Logging(unittest.TestCase):
     def testCreatesDefaultLogger(self):
         """Hose creates a default logger."""
-        from canonical.dyson.hose import Hose
+        from canonical.launchpad.scripts.productreleasefinder.hose import Hose
         from logging import Logger
         h = Hose()
         self.failUnless(isinstance(h.log, Logger))
 
     def testCreatesChildLogger(self):
         """Hose creates a child logger if given a parent."""
-        from canonical.dyson.hose import Hose
+        from canonical.launchpad.scripts.productreleasefinder.hose import Hose
         from logging import getLogger
         parent = getLogger("foo")
         h = Hose(log_parent=parent)
@@ -24,21 +24,23 @@
 class Hose_Filter(unittest.TestCase):
     def testCreatesFilterObject(self):
         """Hose creates a Filter object."""
-        from canonical.dyson.hose import Hose
-        from canonical.dyson.filter import Filter
+        from canonical.launchpad.scripts.productreleasefinder.hose import Hose
+        from canonical.launchpad.scripts.productreleasefinder.filter import (
+            Filter)
         h = Hose()
         self.failUnless(isinstance(h.filter, Filter))
 
     def testDefaultsFiltersToEmptyDict(self):
         """Hose creates Filter object with empty dictionary."""
-        from canonical.dyson.hose import Hose
+        from canonical.launchpad.scripts.productreleasefinder.hose import Hose
         h = Hose()
         self.assertEquals(h.filter.filters, [])
 
     def testCreatesFiltersWithGiven(self):
         """Hose creates Filter object with dictionary given."""
-        from canonical.dyson.hose import Hose
-        from canonical.dyson.filter import FilterPattern
+        from canonical.launchpad.scripts.productreleasefinder.hose import Hose
+        from canonical.launchpad.scripts.productreleasefinder.filter import (
+            FilterPattern)
         pattern = FilterPattern("foo", "http:", "e*")
         h = Hose([pattern])
         self.assertEquals(len(h.filter.filters), 1)
@@ -48,13 +50,13 @@
 class Hose_Cache(Scaffold):
     def testNoCache(self):
         """Hose does not use up a cache if none given."""
-        from canonical.dyson.hose import Hose
+        from canonical.launchpad.scripts.productreleasefinder.hose import Hose
         h = Hose()
         self.assertEquals(h.cache, None)
 
     def testCacheObjectPath(self):
         """Hose sets up Cache object to that given."""
-        from canonical.dyson.hose import Hose
+        from canonical.launchpad.scripts.productreleasefinder.hose import Hose
         path = self.tempname()
         h = Hose(cache="wibble")
         self.assertEquals(h.cache, "wibble")
@@ -63,14 +65,15 @@
 class Hose_Urls(Scaffold):
     def testCallsReduceWork(self):
         """Hose constructor calls reduceWork function."""
-        from canonical.dyson.hose import Hose
+        from canonical.launchpad.scripts.productreleasefinder.hose import Hose
         h = self.wrapped(Hose)
         self.assertEquals(h.called["reduceWork"], True)
 
     def testPassesUrlList(self):
         """Hose constructor passes url list to reduceWork."""
-        from canonical.dyson.hose import Hose
-        from canonical.dyson.filter import FilterPattern
+        from canonical.launchpad.scripts.productreleasefinder.hose import Hose
+        from canonical.launchpad.scripts.productreleasefinder.filter import (
+            FilterPattern)
         pattern = FilterPattern("foo", "http://archive.ubuntu.com/", "e*")
         h = self.wrapped(Hose, [pattern])
         self.assertEquals(h.called_args["reduceWork"][0][0],
@@ -78,7 +81,7 @@
 
     def testSetsUrlProperty(self):
         """Hose constructor sets urls property to reduceWork return value."""
-        from canonical.dyson.hose import Hose
+        from canonical.launchpad.scripts.productreleasefinder.hose import Hose
         class TestHose(Hose):
             def reduceWork(self, url_list):
                 return "wibble"
@@ -90,20 +93,20 @@
 class Hose_ReduceWork(unittest.TestCase):
     def testEmptyList(self):
         """Hose.reduceWork returns empty list when given one."""
-        from canonical.dyson.hose import Hose
+        from canonical.launchpad.scripts.productreleasefinder.hose import Hose
         h = Hose()
         self.assertEquals(h.reduceWork([]), [])
 
     def testReducedList(self):
         """Hose.reduceWork returns same list when nothing to do."""
-        from canonical.dyson.hose import Hose
+        from canonical.launchpad.scripts.productreleasefinder.hose import Hose
         h = Hose()
         self.assertEquals(h.reduceWork(["http://localhost/", "file:///usr/"]),
                           ["http://localhost/", "file:///usr/"])
 
     def testReducesList(self):
         """Hose.reduceWork removes children elements from list."""
-        from canonical.dyson.hose import Hose
+        from canonical.launchpad.scripts.productreleasefinder.hose import Hose
         h = Hose()
         self.assertEquals(h.reduceWork(["http://localhost/",
                                         "http://localhost/foo/bar/",

=== modified file 'lib/canonical/launchpad/scripts/productreleasefinder/tests/test_walker.py'
--- lib/canonical/dyson/tests/test_walker.py	2006-08-16 04:23:32 +0000
+++ lib/canonical/launchpad/scripts/productreleasefinder/tests/test_walker.py	2006-08-16 08:01:02 +0000
@@ -1,4 +1,4 @@
-"""Tests for canonical.dyson.walker."""
+"""Tests for canonical.launchpad.scripts.productreleasefinder.walker."""
 
 import unittest
 from hct.scaffold import Scaffold, register
@@ -7,14 +7,16 @@
 class WalkerBase_Logging(unittest.TestCase):
     def testCreatesDefaultLogger(self):
         """WalkerBase creates a default logger."""
-        from canonical.dyson.walker import WalkerBase
+        from canonical.launchpad.scripts.productreleasefinder.walker import (
+            WalkerBase)
         from logging import Logger
         w = WalkerBase("/")
         self.failUnless(isinstance(w.log, Logger))
 
     def testCreatesChildLogger(self):
         """WalkerBase creates a child logger if given a parent."""
-        from canonical.dyson.walker import WalkerBase
+        from canonical.launchpad.scripts.productreleasefinder.walker import (
+            WalkerBase)
         from logging import getLogger
         parent = getLogger("foo")
         w = WalkerBase("/", log_parent=parent)
@@ -24,68 +26,79 @@
 class WalkerBase_Base(unittest.TestCase):
     def testSetsBase(self):
         """WalkerBase sets the base property."""
-        from canonical.dyson.walker import WalkerBase
+        from canonical.launchpad.scripts.productreleasefinder.walker import (
+            WalkerBase)
         w = WalkerBase("ftp://localhost/")
         self.assertEquals(w.base, "ftp://localhost/")
 
     def testSetsScheme(self):
         """WalkerBase sets the scheme property."""
-        from canonical.dyson.walker import WalkerBase
+        from canonical.launchpad.scripts.productreleasefinder.walker import (
+            WalkerBase)
         w = WalkerBase("ftp://localhost/")
         self.assertEquals(w.scheme, "ftp")
 
     def testSetsHost(self):
         """WalkerBase sets the host property."""
-        from canonical.dyson.walker import WalkerBase
+        from canonical.launchpad.scripts.productreleasefinder.walker import (
+            WalkerBase)
         w = WalkerBase("ftp://localhost/")
         self.assertEquals(w.host, "localhost")
 
     def testNoScheme(self):
         """WalkerBase works when given a URL with no scheme."""
-        from canonical.dyson.walker import WalkerBase
+        from canonical.launchpad.scripts.productreleasefinder.walker import (
+            WalkerBase)
         w = WalkerBase("/")
         self.assertEquals(w.host, "")
 
     def testWrongScheme(self):
         """WalkerBase raises WalkerError when given an unhandled scheme."""
-        from canonical.dyson.walker import WalkerBase, WalkerError
+        from canonical.launchpad.scripts.productreleasefinder.walker import (
+            WalkerBase, WalkerError)
         self.assertRaises(WalkerError, WalkerBase, "foo://localhost/")
 
     def testUnescapesHost(self):
         """WalkerBase unescapes the host portion."""
-        from canonical.dyson.walker import WalkerBase
+        from canonical.launchpad.scripts.productreleasefinder.walker import (
+            WalkerBase)
         w = WalkerBase("ftp://local%40host/")
         self.assertEquals(w.host, "local@host")
 
     def testNoUsername(self):
         """WalkerBase stores None when there is no username."""
-        from canonical.dyson.walker import WalkerBase
+        from canonical.launchpad.scripts.productreleasefinder.walker import (
+            WalkerBase)
         w = WalkerBase("ftp://localhost/")
         self.assertEquals(w.user, None)
 
     def testUsername(self):
         """WalkerBase splits out the username from the host portion."""
-        from canonical.dyson.walker import WalkerBase
+        from canonical.launchpad.scripts.productreleasefinder.walker import (
+            WalkerBase)
         w = WalkerBase("ftp://scott@localhost/")
         self.assertEquals(w.user, "scott")
         self.assertEquals(w.host, "localhost")
 
     def testUnescapesUsername(self):
         """WalkerBase unescapes the username portion."""
-        from canonical.dyson.walker import WalkerBase
+        from canonical.launchpad.scripts.productreleasefinder.walker import (
+            WalkerBase)
         w = WalkerBase("ftp://scott%3awibble@localhost/")
         self.assertEquals(w.user, "scott:wibble")
         self.assertEquals(w.host, "localhost")
 
     def testNoPassword(self):
         """WalkerBase stores None when there is no password."""
-        from canonical.dyson.walker import WalkerBase
+        from canonical.launchpad.scripts.productreleasefinder.walker import (
+            WalkerBase)
         w = WalkerBase("ftp://scott@localhost/")
         self.assertEquals(w.passwd, None)
 
     def testPassword(self):
         """WalkerBase splits out the password from the username."""
-        from canonical.dyson.walker import WalkerBase
+        from canonical.launchpad.scripts.productreleasefinder.walker import (
+            WalkerBase)
         w = WalkerBase("ftp://scott:wibble@localhost/")
         self.assertEquals(w.user, "scott")
         self.assertEquals(w.passwd, "wibble")
@@ -93,7 +106,8 @@
 
     def testUnescapesPassword(self):
         """WalkerBase unescapes the password portion."""
-        from canonical.dyson.walker import WalkerBase
+        from canonical.launchpad.scripts.productreleasefinder.walker import (
+            WalkerBase)
         w = WalkerBase("ftp://scott:wibble%20wobble@localhost/")
         self.assertEquals(w.user, "scott")
         self.assertEquals(w.passwd, "wibble wobble")
@@ -101,37 +115,43 @@
 
     def testPathOnly(self):
         """WalkerBase stores the path if that's all there is."""
-        from canonical.dyson.walker import WalkerBase
+        from canonical.launchpad.scripts.productreleasefinder.walker import (
+            WalkerBase)
         w = WalkerBase("/path/to/something/")
         self.assertEquals(w.path, "/path/to/something/")
 
     def testPathInUrl(self):
         """WalkerBase stores the path portion of a complete URL."""
-        from canonical.dyson.walker import WalkerBase
+        from canonical.launchpad.scripts.productreleasefinder.walker import (
+            WalkerBase)
         w = WalkerBase("ftp://localhost/path/to/something/")
         self.assertEquals(w.path, "/path/to/something/")
 
     def testAddsSlashToPath(self):
         """WalkerBase adds a trailing slash to path if ommitted."""
-        from canonical.dyson.walker import WalkerBase
+        from canonical.launchpad.scripts.productreleasefinder.walker import (
+            WalkerBase)
         w = WalkerBase("ftp://localhost/path/to/something")
         self.assertEquals(w.path, "/path/to/something/")
 
     def testUnescapesPath(self):
         """WalkerBase leaves the path escaped."""
-        from canonical.dyson.walker import WalkerBase
+        from canonical.launchpad.scripts.productreleasefinder.walker import (
+            WalkerBase)
         w = WalkerBase("ftp://localhost/some%20thing/")
         self.assertEquals(w.path, "/some%20thing/")
 
     def testStoresQuery(self):
         """WalkerBase stores the query portion of a supporting URL."""
-        from canonical.dyson.walker import WalkerBase
+        from canonical.launchpad.scripts.productreleasefinder.walker import (
+            WalkerBase)
         w = WalkerBase("http://localhost/?foo")
         self.assertEquals(w.query, "foo")
 
     def testStoresFragment(self):
         """WalkerBase stores the fragment portion of a supporting URL."""
-        from canonical.dyson.walker import WalkerBase
+        from canonical.launchpad.scripts.productreleasefinder.walker import (
+            WalkerBase)
         WalkerBase.FRAGMENTS = True
         try:
             w = WalkerBase("http://localhost/#foo")
@@ -143,30 +163,35 @@
 class FTPWalker_Base(unittest.TestCase):
     def testFtpScheme(self):
         """FTPWalker works when initialised with an ftp-scheme URL."""
-        from canonical.dyson.walker import FTPWalker
+        from canonical.launchpad.scripts.productreleasefinder.walker import (
+            FTPWalker)
         w = FTPWalker("ftp://localhost/")
         self.assertEquals(w.host, "localhost")
 
     def testNoScheme(self):
         """FTPWalker works when given a URL with no scheme."""
-        from canonical.dyson.walker import FTPWalker
+        from canonical.launchpad.scripts.productreleasefinder.walker import (
+            FTPWalker)
         w = FTPWalker("/")
         self.assertEquals(w.host, "")
 
     def testWrongScheme(self):
         """FTPWalker raises WalkerError when given an unhandled scheme."""
-        from canonical.dyson.walker import FTPWalker, WalkerError
+        from canonical.launchpad.scripts.productreleasefinder.walker import (
+            FTPWalker, WalkerError)
         self.assertRaises(WalkerError, FTPWalker, "http://localhost/")
 
     def testNoUsername(self):
         """FTPWalker stores 'anonymous' when there is no username."""
-        from canonical.dyson.walker import FTPWalker
+        from canonical.launchpad.scripts.productreleasefinder.walker import (
+            FTPWalker)
         w = FTPWalker("ftp://localhost/")
         self.assertEquals(w.user, "anonymous")
 
     def testNoPassword(self):
         """FTPWalker stores empty string when there is no password."""
-        from canonical.dyson.walker import FTPWalker
+        from canonical.launchpad.scripts.productreleasefinder.walker import (
+            FTPWalker)
         w = FTPWalker("ftp://scott@localhost/")
         self.assertEquals(w.passwd, "")
 
@@ -174,32 +199,37 @@
 class HTTPWalker_Base(unittest.TestCase):
     def testHttpScheme(self):
         """HTTPWalker works when initialised with an http-scheme URL."""
-        from canonical.dyson.walker import HTTPWalker
+        from canonical.launchpad.scripts.productreleasefinder.walker import (
+            HTTPWalker)
         w = HTTPWalker("http://localhost/")
         self.assertEquals(w.host, "localhost")
 
     def testHttpsScheme(self):
         """HTTPWalker works when initialised with an https-scheme URL."""
-        from canonical.dyson.walker import HTTPWalker
+        from canonical.launchpad.scripts.productreleasefinder.walker import (
+            HTTPWalker)
         w = HTTPWalker("https://localhost/")
         self.assertEquals(w.host, "localhost")
 
     def testNoScheme(self):
         """HTTPWalker works when given a URL with no scheme."""
-        from canonical.dyson.walker import HTTPWalker
+        from canonical.launchpad.scripts.productreleasefinder.walker import (
+            HTTPWalker)
         w = HTTPWalker("/")
         self.assertEquals(w.host, "")
 
     def testWrongScheme(self):
         """HTTPWalker raises WalkerError when given an unhandled scheme."""
-        from canonical.dyson.walker import HTTPWalker, WalkerError
+        from canonical.launchpad.scripts.productreleasefinder.walker import (
+            HTTPWalker, WalkerError)
         self.assertRaises(WalkerError, HTTPWalker, "foo://localhost/")
 
 
 class Walker_CombineUrl(unittest.TestCase):
     def testConstructsUrl(self):
         """combine_url constructs the URL correctly."""
-        from canonical.dyson.walker import combine_url
+        from canonical.launchpad.scripts.productreleasefinder.walker import (
+            combine_url)
         self.assertEquals(combine_url("file:///base", "/subdir/", "file"),
                           "file:///subdir/file")
 

